Subject: [bug#54068] [PATCH] Add xmrig and p2pool

From: Justin Veilleux <[email-masked]>
Date: Tue, 5 Apr 2022 14:57:53 -0400

Hi.

Most issues Maxime raised I can solve easily. The bundling part, 
however, I am unfamiliar with.

Regarding the high consumption of energy, I think, having read thread, I 
think everyone would agree
that a warning in the description would be beneficial.

Finally, since I submitted the patch, I discovered that xmrig, in it's 
default state, will donate 1% of it's runtime to the developpers' pool. 
I don't know what is guix's policy on this matter, but I will assume we 
want it disabled.

I'm going to fix the issues raised and send an updated patch.

Cheers,
Justin.